Printago API
POST /v1/integrations/tiktok-shop/{integrationId}/sync-orders

Sync TikTok Shop orders

Manually sync orders from TikTok Shop

Requires: integration.manage

Path Parameters

integrationId required
string
The TikTok Shop integration ID

Request Body

Sync options — `daysBack`, `statusGroups`, and `limit`

TikTokShopSyncOrdersRequest
daysBackoptional
number
Only sync orders created within this many days.
limitoptional
number
Cap on orders imported in this run.
statusGroupsoptional
"completed" | "awaiting" | "in_transit"[]
Which fulfillment stages to include. Maps to TikTok order_status: - 'awaiting' → AWAITING_SHIPMENT + AWAITING_COLLECTION (needs action) - 'in_transit' → IN_TRANSIT (shipped) - 'completed' → DELIVERED + COMPLETED

Example Request

application/json
{
  "limit": 1,
  "daysBack": 1,
  "statusGroups": [
    "completed"
  ]
}

Response Schema

TikTokShopSyncOrdersResult
ordersrequired
object[]
cancelledAtoptionalnullable
string
createdAtrequired
string
format: date-time
currencyoptionalnullable
string
customerIdoptionalnullable
string
pattern: ^[a-z0-9]{24}$
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
deadlineoptionalnullable
string
externalIdoptionalnullable
string
externalUrloptionalnullable
string
idrequired
string
pattern: ^[a-z0-9]{24}$
integrationIdoptionalnullable
string
pattern: ^[a-z0-9]{24}$
noteoptionalnullable
string
orderNumberrequired
string
priceoptionalnullable
number
priceBucketoptionalnullable
number
processedAtoptionalnullable
string
shippedAtoptionalnullable
string
sourceoptionalnullable
enum
etsyshopifymanualebaytiktok-shopwoocommerceshipstationwix
sourceRefoptionalnullable
string
statusrequired
"open" | "closed"
openclosed
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
syncDisabledrequired
boolean
updatedAtrequired
string
format: date-time
skippedrequired
number
totalAvailablerequired
number
totalSyncedrequired
number

Example Response

201 OK — application/json
{
  "orders": [
    {
      "orderNumber": "string",
      "source": "etsy",
      "status": "open",
      "cancelledAt": "2025-01-15T12:00:00.000Z",
      "shippedAt": "2025-01-15T12:00:00.000Z",
      "customerId": "string",
      "integrationId": "string",
      "priceBucket": 1,
      "price": 1,
      "currency": "string",
      "externalId": "string",
      "externalUrl": "string",
      "sourceRef": "string",
      "note": "string",
      "deadline": "2025-01-15T12:00:00.000Z",
      "processedAt": "2025-01-15T12:00:00.000Z",
      "syncDisabled": true,
      "customMetadata": {},
      "id": "string",
      "storeId": "string",
      "createdAt": "2025-01-15T12:00:00.000Z",
      "updatedAt": "2025-01-15T12:00:00.000Z"
    }
  ],
  "totalSynced": 1,
  "totalAvailable": 1,
  "skipped": 1
}